Bug 497639 - Review Request: gmixer - Just a simple audio mixer
Review Request: gmixer - Just a simple audio mixer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Igor Jurišković
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-25 09:01 EDT by leigh scott
Modified: 2009-05-25 17:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.3-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-25 17:10:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
juriskovic.igor: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description leigh scott 2009-04-25 09:01:16 EDT
Spec URL: http://leigh123linux.fedorapeople.org/review/gmixer/1/gmixer.spec
SRPM URL: http://leigh123linux.fedorapeople.org/review/gmixer/1/gmixer-0.3.5-1.fc10.src.rpm
Description: Just Another MIXer A GTK+ 1.2 based mixer.
Nothing fancy, just a simple audio mixer.
Comment 1 Igor Jurišković 2009-05-20 18:10:22 EDT
I'll take this one. 

# MUST: rpmlint must be run on every package. The output should be posted in the review. YES

# MUST: The package must be named according to the Package Naming Guidelines. YES

# MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. YES

# MUST: The package must meet the Packaging Guidelines. YES 

# MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines. YES

# MUST: The License field in the package spec file must match the actual license. YES

# MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc. YES

# MUST: The spec file must be written in American English. YES

# MUST: The spec file for the package MUST be legible. YES

# MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this. YES

# MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. YES

# MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. N/A

# MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense. YES

# MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden. N/A

# MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. N/A

# MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. N/A

# MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. YES

# MUST: A Fedora package must not list a file more than once in the spec file's %files listings. YES

# MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. YES

# MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). YES

# MUST: Each package must consistently use macros. YES

# MUST: The package must contain code, or permissable content. YES

# MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). N/A

# MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. YES

# MUST: Header files must be in a -devel package. N/A

# MUST: Static libraries must be in a -static package. N/A

# MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). N/A

# MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. N/A

# MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} N/A

# MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built. N/A

# MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. NO

# MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. N/A

# MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). YES

# MUST: All filenames in rpm packages must be valid UTF-8. YES


Only blocker is desktop file. Its GUI application but no desktop file is installed nor you explained in spec why not. Fix that and I'll approve it.
Comment 2 leigh scott 2009-05-20 18:23:55 EDT
Ok, I will create a desktop file, is it ok to add a generic mixer icon as well?

> 
> Only blocker is desktop file. Its GUI application but no desktop file is
> installed nor you explained in spec why not. Fix that and I'll approve it.
Comment 3 Igor Jurišković 2009-05-20 18:39:41 EDT
There is nothing in wiki related to no icons in desktop file so I assume its ok to use generic one.
Comment 4 leigh scott 2009-05-20 20:20:14 EDT
OK, I found this new gmixer sourcecode at launchpad, it isn't the same package but looks promising.
It didn't have a desktop file either, what do you think of the new gmixer code ?


Spec: http://leigh123linux.fedorapeople.org/review/gmixer/2/gmixer.spec

SRPM: http://leigh123linux.fedorapeople.org/review/gmixer/2/gmixer-1.3-1.fc11.src.rpm


rpmlint returns this


rpmlint -vi /home/leigh/rpmbuild/RPMS/x86_64/gmixer-1.3-1.fc11.x86_64.rpm
gmixer.x86_64: I: checking
gmixer.x86_64: E: explicit-lib-dependency python-xlib
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.

1 packages and 0 specfiles checked; 1 errors, 0 warnings.


The package doesn't drag python-xlib as a requires so I added it to the spec file.


P.S sorry for switching source code.
Comment 5 leigh scott 2009-05-20 20:22:20 EDT
I will correct the licence next build, it should be  GPLv3+
Comment 7 Igor Jurišković 2009-05-21 06:59:25 EDT
This is completely different package. Above full review doesnt count on this one. Will make new one after these few errors are fixed. Ok, lets see;

--------------------------------------------------------------------
- https://fedoraproject.org/wiki/Packaging/Python#System_Architecture - says if you are installing something to global site_packages directory use following:
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Please change python_sitearch with python_sitelib as stated at link above.

Dont forget to change all %{python_sitearch} with new one.
--------------------------------------------------------------------

--------------------------------------------------------------------
- remove --vendor.
--------------------------------------------------------------------

--------------------------------------------------------------------
- desktop file has Encoding. It is assumed that encoding is UTF-8 by default so that line is useless. Please remove it.
--------------------------------------------------------------------
Comment 8 leigh scott 2009-05-21 07:56:36 EDT
(In reply to comment #7)
> This is completely different package. Above full review doesnt count on this
> one. Will make new one after these few errors are fixed. Ok, lets see;
> 
> --------------------------------------------------------------------
> - https://fedoraproject.org/wiki/Packaging/Python#System_Architecture - says if
> you are installing something to global site_packages directory use following:
> %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from
> distutils.sysconfig import get_python_lib; print get_python_lib()")}
> 
> Please change python_sitearch with python_sitelib as stated at link above.
> 
> Dont forget to change all %{python_sitearch} with new one.
> --------------------------------------------------------------------
> 
> --------------------------------------------------------------------
> - remove --vendor.
> --------------------------------------------------------------------
> 
> --------------------------------------------------------------------
> - desktop file has Encoding. It is assumed that encoding is UTF-8 by default so
> that line is useless. Please remove it.
> --------------------------------------------------------------------  

Ok, here's the new spec * SRPM

Spec: http://leigh123linux.fedorapeople.org/review/gmixer/4/gmixer.spec


SRPM: http://leigh123linux.fedorapeople.org/review/gmixer/4/gmixer-1.3-3.fc11.src.rpm
Comment 9 Igor Jurišković 2009-05-21 08:49:09 EDT
Two more things:

------------------------------------------------------
in %files section change:
%{python_sitelib}/gmixer-1.0-py2.6.egg-info
to:
%{python_sitelib}/gmixer-1.0-py2.5.egg-info

Because thats the right name of the file.
------------------------------------------------------
remove %doc in files section. You have no documentation so its useless.
------------------------------------------------------



I have to go now for few hours. When I get back I'll make full review.
Comment 10 leigh scott 2009-05-21 09:12:31 EDT
(In reply to comment #9)
> Two more things:
> 
> ------------------------------------------------------
> in %files section change:
> %{python_sitelib}/gmixer-1.0-py2.6.egg-info
> to:
> %{python_sitelib}/gmixer-1.0-py2.5.egg-info
> 
> Because thats the right name of the file.
> ------------------------------------------------------
> remove %doc in files section. You have no documentation so its useless.
> ------------------------------------------------------
> 
> 
> 
> I have to go now for few hours. When I get back I'll make full review.  

Ok, I have made the recommended changes.


>%{python_sitelib}/gmixer-1.0-py2.6.egg-info

is correct for F11 & F12, changing it to 

> %{python_sitelib}/gmixer-1.0-py2.5.egg-info

would be wrong as well, so I changed it to 

%{python_sitelib}/gmixer-1.0-py?.?.egg-info

This will enable it to build with python 2.5 or 2.6 


Spec: http://leigh123linux.fedorapeople.org/review/gmixer/5/gmixer.spec


SRPM: http://leigh123linux.fedorapeople.org/review/gmixer/5/gmixer-1.3-4.fc11.src.rpm
Comment 12 Igor Jurišković 2009-05-21 11:56:16 EDT
# MUST: rpmlint must be run on every package. The output should be posted in
the review. YES

# MUST: The package must be named according to the Package Naming Guidelines.
YES

# MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. YES

# MUST: The package must meet the Packaging Guidelines. YES 

# MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines. YES

# MUST: The License field in the package spec file must match the actual
license. YES

# MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc. YES

# MUST: The spec file must be written in American English. YES

# MUST: The spec file for the package MUST be legible. YES

# MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this. YES

# MUST: The package MUST successfully compile and build into binary rpms on at
least one primary architecture. YES

# MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line. N/A

# MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense. YES

# MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden. N/A

# MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in %post and %postun. N/A

# MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker. N/A

# MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. NO

# MUST: A Fedora package must not list a file more than once in the spec file's
%files listings. YES

# MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line. YES

# MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT). YES

# MUST: Each package must consistently use macros. YES

# MUST: The package must contain code, or permissable content. YES

# MUST: Large documentation files must go in a -doc subpackage. (The definition
of large is left up to the packager's best judgement, but is not restricted to
size. Large can refer to either size or quantity). N/A

# MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present. N/A

# MUST: Header files must be in a -devel package. N/A

# MUST: Static libraries must be in a -static package. N/A

# MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability). N/A

# MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel
package. N/A

# MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} N/A

# MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built. N/A

# MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. If you feel that your packaged GUI application does not need
a .desktop file, you must put a comment in the spec file with your explanation.
YES

# MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time. N/A

# MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT). YES

# MUST: All filenames in rpm packages must be valid UTF-8. YES


You dont own /usr/share/gmixer directory. Just add:
%{_datadir}/%{name}/
in files section before importing to CVS.

Other than that no problems found.


 ________________________________________
( Package gmixer is APPROVED by igjurisk )
 ----------------------------------------
        o   ^__^
         o  (Oo)\_______
            (__)\       )\/\
                ||----w |
                ||     ||
Comment 13 leigh scott 2009-05-21 12:09:39 EDT
Hi Igjurisk,


Thank you for reviewing gmixer for me.

Leigh
Comment 14 leigh scott 2009-05-21 12:10:49 EDT
New Package CVS Request
=======================
Package Name: gmixer
Short Description: Just a simple audio mixer
Owners: leigh123linux
Branches: F-9 F-10 F-11
InitialCC:
Comment 15 Kevin Fenzi 2009-05-21 19:46:03 EDT
cvs done.
Comment 16 Fedora Update System 2009-05-22 04:27:22 EDT
gmixer-1.3-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gmixer-1.3-4.fc11
Comment 17 Fedora Update System 2009-05-22 04:28:25 EDT
gmixer-1.3-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gmixer-1.3-4.fc10
Comment 18 Fedora Update System 2009-05-22 04:29:20 EDT
gmixer-1.3-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gmixer-1.3-4.fc9
Comment 19 Fedora Update System 2009-05-25 17:10:46 EDT
gmixer-1.3-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2009-05-25 17:12:29 EDT
gmixer-1.3-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2009-05-25 17:23:11 EDT
gmixer-1.3-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.